Subject: Re: bug#47368: 28.0.50; map-elt returns nil without "deprecated" TESTFN

From: Stefan Monnier <[email-masked]>
Date: Wed, 15 Sep 2021 08:39:20 -0400

> [ Personally I would still be interested in an answer to the question:
> why don't we consider to keep the TESTFN arg at least for the list map
> type case? ]

This would only make sense if we add corresponding args to several
other functions of `map.el`, and it would bring us back to the problem
that this arg would be ignored for most map types and couldn't be obeyed
without paying a high cost.

If you know it's a list and you want to use a specific test, then don't
use `map-elt`.

        Stefan